Subject: bug#20802: Segfault when showing non-GTK+ tooltip

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Jun 2015 19:30:34 +0300

> From: Tobias Getzner <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 17 Jun 2015 09:34:47 +0200
> 
> After setting a breakpoint at 5192, the segfault would trigger without
> the breakpoint kicking in. I then moved that hunk up to line 5172 (diff
> below). Now the breakpoint there would kick in, and further, now
> segfault would trigger; instead, it gave the «error while displaying
> tooltip message», and fell back on showing the tooltip message in the
> echo area.

Which AFAIU means the bug is solved by that change, because this is
the effect of setting an invalid face I'd expect.

> Does this address your questions too, Eli, or do you want me to step
> into «x_free_frame_resources» to make sure everything is solid?

No need, thanks.